#include "DistanceCubeMapRenderTechnique.h"


DistanceCubeMapRenderTechnique::DistanceCubeMapRenderTechnique(unsigned long startFrame,
												unsigned long cubeMapUpdateInterval,
												unsigned int cubeMapResolution,												
												bool useDistCalc,
												bool useFaceAngleCalc,
												float distTolerance,
												float angleTolerance,
												bool updateAllFace,
												bool renderSelf,
												ElementaryRenderable* parentRenderable,
												TechniqueGroup* parentTechniqueGroup)
											
												:CubeMapRenderTechnique( startFrame, cubeMapUpdateInterval, cubeMapResolution,
																					useDistCalc, useFaceAngleCalc, distTolerance, angleTolerance,
																					updateAllFace, renderSelf,
																					parentRenderable, parentTechniqueGroup),
												 RenderTechnique(parentRenderable, parentTechniqueGroup)
{
	
}

DistanceCubeMapRenderTechnique::~DistanceCubeMapRenderTechnique()
{

}

void DistanceCubeMapRenderTechnique::runChanged(RenderingRunType runType, RenderingRun* run)
{
	if(runType == ILLUMRUN_DISTANCE_CUBEMAP)
		distanceCubeMapRunChanged(run);
}

void DistanceCubeMapRenderTechnique::runUpdated(RenderingRunType runType, RenderingRun* run)
{
	if(runType == ILLUMRUN_DISTANCE_CUBEMAP)
		distanceCubeMapRunUpdated(run);
}

 void DistanceCubeMapRenderTechnique::update(unsigned long frameNum)
{	
	sharedRuns->updateRun(ILLUMRUN_DISTANCE_CUBEMAP, frameNum);	
}
